<template>
    <b-container>
        <b-row>
            <b-col></b-col>
            <b-col>
                <b-card title="LOGIN">
                    <b-form-group
                        id="input-group-1"
                        label="User ID:"
                        label-for="input-1"
                    >
                        <b-form-input
                        id="input-1"
                        v-model="form.userName"
                        type="text"
                        required
                        placeholder="Enter User ID"
                        ></b-form-input>
                    </b-form-group>
                    <b-form-group
                        id="input-group-1"
                        label="Password:"
                        label-for="input-1"
                    >
                        <b-form-input
                        id="input-1"
                        v-model="form.password"
                        type="password"
                        required
                        placeholder="Enter Password"
                        ></b-form-input>
                    </b-form-group>
                    <b-btn variant="success" @click="Login">LOGIN</b-btn>
                </b-card>
            </b-col>
            <b-col></b-col>

        </b-row>
    </b-container>
</template>

<script>


export default {
    data(){
        return{
            form:{
                userName:"",
                password:""
            }
        }
    },
    methods:{
        Login(){
            if(this.form.userName=="user" && this.form.password=="S3CR3T")
            {
                this.$store.dispatch('login',this.form.userName);
                this.$router.replace("/home");
            }
        }
    }

}
</script>
<style>

</style>
